
%%
%%  This is file `BuAliSina.cls',
%%  The original file was xepersian-thesis.cls by Vafa Khalighi
%%   __________________________________
%%  
%%  
%%   Shahram Mehry  
%%   http://www.parsilatex.com  
%%   http://forum.parsilatex.com
%% 
%% 
\NeedsTeXFormat{LaTeX2e}
\ProvidesClass{BuAliSina}
              [25/11/2013 
 Persian thesis document class in XeLaTeX for University of bualisina projects/theses/dissertations]
\DeclareOption*{\PassOptionsToClass{\CurrentOption}{book}}
\ProcessOptions
\LoadClass[a4paper,11pt,oneside,openany]{book}
%%%%%%%%%%%%%%%%%%%%%%%%%
\RequirePackage{amssymb}
\RequirePackage{amsmath}
%\RequirePackage[top=40mm, bottom=40mm, left=25mm, %right=35mm]{geometry}
\RequirePackage{graphicx}
\RequirePackage{framed} 
\RequirePackage{lastpage}
\RequirePackage{fancyhdr}
\RequirePackage[nottoc]{tocbibind}
%\RequirePackage{makeidx}
%\makeindex
%\RequirePackage[]{hyperref}
%%%%%%%%%%%%%%%%%%%%%%%%%
\def\university#1{\gdef\@university{#1}}
\def\department#1{\gdef\@department{#1}}
\def\degree#1{\gdef\@degree{#1}}
\def\thesisdate#1{\gdef\@thesisdate{#1}}
\newcommand{\firstsupervisor}[1]{\def\@firstsupervisor{#1}}
\newcommand{\secondsupervisor}[1]{\def\@secondsupervisor{#1}}
\newcommand{\firstadvisor}[1]{\def\@firstadvisor{#1}}
\newcommand{\secondadvisor}[1]{\def\@secondadvisor{#1}}
\def\name#1{\gdef\@name{#1}}
\def\surname#1{\gdef\@surname{#1}}
\def\keywords#1{\gdef\@keywords{#1}}
\def\fa-abstract#1{\gdef\@fa-abstract{#1}}
\def\faculty#1{\gdef\@faculty{#1}}
\def\subject#1{\gdef\@subject{#1}}
\def\field#1{\gdef\@field{#1}}
\def\department#1{\gdef\@department{#1}}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\def\latintitle#1{\gdef\@latintitle{#1}}
\def\latinauthor#1{\gdef\@latinauthor{#1}}
\def\latindegree#1{\gdef\@latindegree{#1}}
\def\latinfaculty#1{\gdef\@latinfaculty{#1}}
\def\latinthesisdate#1{\gdef\@latinthesisdate{#1}}
\def\latinsubject#1{\gdef\@latinsubject{#1}}
\def\latinfield#1{\gdef\@latinfield{#1}}
\def\firstlatinsupervisor#1{\gdef\@firstlatinsupervisor{#1}}
\def\secondlatinsupervisor#1{\gdef\@secondlatinsupervisor{#1}}
\def\firstlatinadvisor#1{\gdef\@firstlatinadvisor{#1}}
\def\secondlatinadvisor#1{\gdef\@secondlatinadvisor{#1}}
\def\latinname#1{\gdef\@latinname{#1}}
\def\latinsurname#1{\gdef\@latinsurname{#1}}
\def\en-abstract#1{\gdef\@en-abstract{#1}}
\def\latinkeywords#1{\gdef\@latinkeywords{#1}}
\def\latinuniversity#1{\gdef\@latinuniversity{#1}}
%%%%%%%%%%%%%%%%%%%%%%%%%%%
\newif\if@bscthesis
\@bscthesisfalse
\DeclareOption{bsc}{\@bscthesistrue}
\newif\if@mscthesis
\@mscthesisfalse
\DeclareOption{msc}{\@mscthesistrue}
\ProcessOptions
%%%%%%%%%%%%%%%%%%%%%%%%%%%
\newcommand{\vtitle}{\begin{titlepage}
%\topmargin=-30pt
\vspace{-2cm}\begin{center} \includegraphics[height=3cm]{logo} \vskip -5mm
\begin{scriptsize}
 دانشگاه بوعلی‌سینا
\end{scriptsize}
\end{center}
\vspace{-.5cm}
{\large\@faculty\par

\vspace{-.4cm}\@department}
\vskip .5cm
 \if@mscthesis
{\large\bfseries پایان‌نامه}
\else
 \if@bscthesis
 {\large\bfseries پروژه }
 \else
{\large\bfseries رساله}
\fi\fi
\vskip .3cm
{\large\bfseries\writtenfor
\if@mscthesis
کارشناسی ارشد
\else
\if@bscthesis
کارشناسی
\else
دکتری
\fi\fi
}
{\large\bfseries{در رشته}}
\vskip .2cm
\centerline{\large \bfseries\@subject%
\if@mscthesis%
، گرایش
\else
\if@bscthesis%
\relax%
\else%
، گرایش
\fi\fi
\@field}
\vskip 1cm
%\baselineskip=.750cm
\centerline{\Large \bfseries\onvan}

\vskip .2cm
 {\huge\bfseries {\baselineskip=1cm \@title}}\baselineskip=1.5cm\par
\vskip .8cm
 \baselineskip=.5cm
\large
{\ifx\@firstsupervisor\undefined%
\ifx\@secondsupervisor\undefined%
\else\fi
\else
\ifx\@secondsupervisor\undefined%
استاد راهنما
{\Large\bfseries\par
\@firstsupervisor}
\else
\large
استادان راهنما
\par
{\Large\bfseries \@firstsupervisor{} و \@secondsupervisor}
\fi\fi}
\par\large
{\ifx\@firstadvisor\undefined%
\ifx\@secondadvisor\undefined%
\else\fi
\else
\ifx\@secondadvisor\undefined%
استاد مشاور
{\Large\bfseries\par
\@firstadvisor}
\else

\large
استادان مشاور
\par
{\Large\bfseries\@firstadvisor{} و \@secondadvisor}
\fi\fi}

{\large%
  \by}\par
\par
{\Large\bfseries{\nastaliq\large\bfseries   \@name\ \ \@surname}}\par
\vskip 6mm
%\vfill
{\large \@thesisdate}
%\vfill
\end{titlepage}%
\newpage
\thispagestyle{empty}
\baselineskip=.7cm
\if@bscthesis \relax
\else
\begin{frame}
\begin{footnotesize}
\begin{center}
{\bfseries
 دانشگاه بوعلی سینا
 }
\vskip 3mm
مشخصات رساله/پایان‌نامه تحصیلی
\end{center} 
\vspace{-2.5cm}\begin{flushleft}
\includegraphics[height=1.7cm]{logo}
\end{flushleft}\vskip -1mm
 \hrule
\vspace{3mm}
 \noindent
 عنوان:\\
\@title\vskip 2mm \hrule
\vspace{3mm}
\noindent
نام نویسنده: 
\@name \ \@surname
\vskip 2mm\hrule
 \vspace{3mm}
 \noindent
{\ifx\@firstsupervisor\undefined%
\ifx\@secondsupervisor\undefined%
\else\fi
\else
\ifx\@secondsupervisor\undefined%
نام استاد/ اساتید راهنما:
{\@firstsupervisor}
\else\vskip -3mm
\noindent
نام استاد/ اساتید راهنما:
{\@firstsupervisor{} و \@secondsupervisor}
\fi\fi}%\par
\noindent
{\ifx\@firstadvisor\undefined%
\ifx\@secondadvisor\undefined%
\else\fi
\else
\ifx\@secondadvisor\undefined%

\vskip 2mm\hrule
 \vspace{3mm}\noindent
نام استاد/ اساتید مشاور:
{
\@firstadvisor}
\else
\vskip 2mm\hrule
 \vspace{3mm}\noindent
نام استاد/ اساتید مشاور:
{\@firstadvisor{} و \@secondadvisor}
\fi\fi}
\vskip 2mm\hrule
 %\vspace{3mm}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%
%\begin{center}
\noindent\begin{tabular}{r|r|r}  
%\hline
%\multicolumn{1}{|r|}{
\rule[-3mm]{0mm}{8mm}
\@faculty
\rule{20mm}{0mm}
&
\rule[-3mm]{0mm}{8mm}
گروه آموزشی: \@subject
\rule{20mm}{0mm}
\\\hline
\rule[-3mm]{0mm}{8mm}
 رشته تحصیلی: \@subject
 &
 گرایش: \@field
 & 
 مقطع تحصیلی: 
  \if@mscthesis
کارشناسی ارشد
\else
دکتری
\fi
\rule{2mm}{0mm} \\
\hline
\rule[-3mm]{0mm}{8mm}
تاریخ تصویب: \dataa
 &
تاریخ دفاع:
\datad
 & 
تعداد صفحات:
\pageref{LastPage}
 \\
\end{tabular}\\
%\end{center} 
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\\
 \vspace{-4mm} \hrule
 \vspace{3mm}
 \noindent
\textbf{چکیده}\par
\@fa-abstract
\vskip 2mm
 \hrule
\vspace{3mm}
 \noindent
\textbf{واژه‌های کلیدی:}
\@keywords
\end{footnotesize}
\end{frame}
\fi
}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\def\frame{\newpage
\thispagestyle{empty}
\begin{framed}\thispagestyle{empty}}
\def\endframe{\thispagestyle{empty}\end{framed}
\thispagestyle{empty}
\newpage
}
\def\abstractpage{\newpage
\thispagestyle{empty}
\vskip 15mm
\par
\begin{abstract}}
\def\endabstractpage{\end{abstract}
\newpage
}
\def\latinabstract{\newpage
\thispagestyle{empty}
\vskip 15mm
\begin{center}{\Large\bfseries \@latintitle \\[5mm]}
{\bfseries Abstract}
\end{center}
\vspace{5mm}}

\def\endlatinabstract{\newpage}

\def\acknowledgementpage{\newpage
\thispagestyle{empty}

\vspace{1cm}
\par\noindent}
\def\endacknowledgementpage{\newpage}

\def\titlepage{\newpage\centering
  \thispagestyle{empty}
  \parindent 0pt \parskip 10pt plus 1fil minus 1fil
  \def\baselinestretch{1}\@normalsize\vbox to \vsize\bgroup\vbox to 9in\bgroup}
\def\endtitlepage{\par\kern 0pt\egroup\vss\egroup\newpage}

\def\signature{\vspace{1cm}
\begin{flushleft}
{\nastaliq \scriptsize \@name\ \@surname \\
\@thesisdate}
\end{flushleft}}

\def\abstract{\subsection*{\abstractname}\small
\@normalsize}
\def\endabstract{\par}

%\pagenumbering{harfi}
%\let\ol@chapter\@chapter
%\def\@chapter{%
%  \ifnum\c@chapter=0 \pagenumbering{arabic}\setcounter{page}{1}\fi
%  \ol@chapter}

\font\titlefont=cmssbx10 scaled 2074
\font\supervisorfont=cmbxti10

\newcommand{\latinvtitle}{%
\if@bscthesis \relax
\else
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\begin{frame}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\begin{footnotesize}
\begin{center}
\noindent
Surname: Bu-Ali Sina University
\vskip 3mm
Graduate Studies Thesis $\setminus$ Dissertation Information
\end{center} 
\vspace{-2.5cm}\begin{flushleft}
\includegraphics[height=1.7cm]{logo}
\end{flushleft}\vskip -1mm
 \hrule
\vspace{3mm}
 \noindent
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \textbf{Title}:\\
\@latintitle
\vskip 2mm \hrule \vspace{3mm} \noindent
%%%%%%%%%%%%%%%%%%%%%%%%
 \textbf{Author:} \@latinname\ \@latinsurname
\vskip 2mm \hrule \vspace{3mm} \noindent
{\ifx\@firstlatinsupervisor\undefined%
\ifx\@secondlatinsupervisor\undefined%
\else\fi
\else
\ifx\@secondlatinsupervisor\undefined%
\textbf{Supervisor:}
{
\@firstlatinsupervisor}
\else
\textbf{Supervisors:}
{ \@firstlatinsupervisor{} and \@secondlatinsupervisor}
\fi\fi}
\vskip 2mm \hrule \vspace{3mm}\noindent
{\ifx\@firstlatinadvisor\undefined%
\ifx\@secondlatinadvisor\undefined%
\else\fi
\else
\ifx\@secondlatinadvisor\undefined%
\textbf{Advisor:}
{
\@firstlatinadvisor}
\else
\textbf{Advisors:}
{\@firstlatinadvisor{} and \@secondlatinadvisor}
\fi\fi}
\vskip 2mm \hrule \vspace{3mm}\noindent
\textbf{Faculty}: Sciences%Science \@latinfaculty
\vskip 2mm \hrule 
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \noindent\begin{tabular}{l|l|l}  
\rule[-3mm]{0mm}{8mm}
\textbf{Subject:}
\@latinsubject
&
\rule[-3mm]{0mm}{8mm}
\textbf{Field:} \@latinfield
 &
\textbf{Degree:}
 \if@mscthesis
 Master of Science
\else
 Doctor of Science
\fi\\\hline 
\rule[-3mm]{0mm}{8mm}
\textbf{Approval Data:} \dataa
&\textbf{Defence Data:}\datad&
\textbf{Number of pages:}
\pageref{LastPage}
\rule{1cm}{0mm}
 \end{tabular}
 \hrule
 \vspace{3mm}
 \noindent
\textbf{Abstract:}\par
\@en-abstract
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\vskip 3mm \hrule 
 \vspace{3mm}
 \noindent
\textbf{Keywords:}
\@latinkeywords
\end{footnotesize}
\end{frame}
\begin{titlepage}
\vspace{-1.5cm}{\includegraphics[height=3cm]{logo}}
\centerline{\bf \small \@latinuniversity} 
\vskip 1mm\bfseries
\@latinfaculty\space 
\vskip 5mm
%{
 \if@mscthesis
Dissertation Submitted in Partial 
\\[.2cm]
 Fulfillment of The Requirements For The
\\[.2cm]
Degree of Master of Science in\par
\else
Doctoral Thesis Submitted in Partial 
\\[.2cm]
Fulfillment of The  Requirements For The
\\[.2cm]
Degree of Doctor of Science in \par
\fi
{\large\bfseries \@latinsubject}
\vskip 1cm
\baselineskip=.750cm
{\titlefont \@latintitle}
\baselineskip=.750cm \par
%\addtolength{\baselineskip}{-5mm}
\vskip 1.5cm
\large
{\ifx\@firstlatinsupervisor\undefined%
\ifx\@secondlatinsupervisor\undefined%
\else\fi
\else
\ifx\@secondlatinsupervisor\undefined%
Supervisor
{\Large\bfseries\par
\@firstlatinsupervisor}
\else
\large
Supervisors
\par
{\Large\bfseries \@firstlatinsupervisor{} and \@secondlatinsupervisor}
\fi\fi}
\par
\large
{\ifx\@firstlatinadvisor\undefined%
\ifx\@secondlatinadvisor\undefined%
\else\fi
\else
\ifx\@secondlatinadvisor\undefined%
Advisor
{\Large\bfseries\par
\@firstlatinadvisor}
\else

\large
Advisors
\par
{\Large\bfseries\@firstlatinadvisor{} and \@secondlatinadvisor}
\fi\fi}
\vskip 5mm
{\bfseries\latinby}\par
{\large %\supervisorfont
\rm\@latinname \; \@latinsurname}\par
\vskip 5mm

\par
\vskip 1cm

{\@latinthesisdate}
\par
\vskip 1cm

\par

\vfill
%
\end{titlepage}
\fi}

\def\onvan{عنوان}
\def\writtenfor{برای دریافت درجه }
\def\by{پژوهشگر}
\def\latinby{by}
\def\cleardoublepage{\clearpage\if@twoside \ifodd\c@page\else
\hbox{}
\thispagestyle{empty}
\newpage
\if@twocolumn\hbox{}\newpage\fi\fi\fi}

%% 
%% Copyright © 2013      by Shahram Mehry     
%% 
%% Distributable under the LaTeX Project Public License,
%% version 1.3c or higher (your choice). The latest version of
%% this license is at: http://www.latex-project.org/lppl.txt
%% 
%% This work is "maintained" (as per LPPL maintenance status)
%%  by Shahram Mehry
%% 
%% 
%% 
%% 
%% Special thanks to Vafa Khalighi for his invaluable hints.
%%
%% End of file `BuAliSina.cls'.
